; bitflip.a51 this blinks LED--but at a rate too fast to see unless run in single-step
;; rev path 3/16
	$NOSYMBOLS													; keeps listing short
	$INCLUDE (C:\SiLabs\MCU\INC\c8051f410.inc) 

	BLUE_LED EQU P0.0

	ORG 0					; tells assembler the address at which to place this code
	
	SJMP STARTUP		; 	here code begins--with just a jump to start of
							;   real program.  ALL our programs will start thus							
	ORG 80h				;  ...and here the program starts
	
STARTUP: acall USUAL_SETUP


    	CLR BLUE_LED			;  start low, just to make it predictable	
	
FLIPIT:	CPL BLUE_LED		;  flips Green LED on SiLab devkit
			SJMP FLIPIT


USUAL_SETUP:            ; Disable the WDT.
            anl   PCA0MD, #NOT(040h)   ; Clear Watchdog Enable bit

            ; Enable the Port I/O Crossbar

            mov   XBR1, #40h           ; Enable Crossbar
						
						ret
END

